Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
Class GrailsHttpSession

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.GrailsHttpSession

All Implemented Interfaces:
  HttpSession

    public class GrailsHttpSession

extends Object
implements HttpSession

An adapter class that takes a regular HttpSession and allows you to access it like a Groovy map

Since:
  0.4
Author:
  Graeme Rocher

Constructor Summary
`GrailsHttpSession(HttpServletRequest request)`

Method Summary
`Object` | `getAttribute(String name)`
`Enumeration` | `getAttributeNames()`
`long` | `getCreationTime()`
`String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`ServletContext` | `getServletContext()`
`HttpSessionContext` | `getSessionContext()` Deprecated.
`Object` | `getValue(String name)` Deprecated.
`String[]` | `getValueNames()` Deprecated.
`void` | `invalidate()`
`boolean` | `isNew()`
`void` | `putValue(String name, Object value)` Deprecated.
`void` | `removeAttribute(String name)`
`void` | `removeValue(String name)` Deprecated.
`void` | `setAttribute(String name, Object value)`
`void` | `setMaxInactiveInterval(int arg0)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsHttpSession

    public GrailsHttpSession(HttpServletRequest request)

Method Detail

### getAttribute

    public Object getAttribute(String name)

  Specified by:
    `getAttribute` in interface `HttpSession`

### getAttributeNames

    public Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `HttpSession`

### getCreationTime

    public long getCreationTime()

  Specified by:
    `getCreationTime` in interface `HttpSession`

### getId

    public String getId()

  Specified by:
    `getId` in interface `HttpSession`

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `HttpSession`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `HttpSession`

### getServletContext

    public ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `HttpSession`

### getSessionContext

    public HttpSessionContext getSessionContext()

  Deprecated.

  Specified by:
    `getSessionContext` in interface `HttpSession`
  See Also:
    `HttpSession.getSessionContext()`

### getValue

    public Object getValue(String name)

  Deprecated.

  Specified by:
    `getValue` in interface `HttpSession`
  See Also:
    `HttpSession.getValue(java.lang.String)`

### getValueNames

    public String[] getValueNames()

  Deprecated.

  Specified by:
    `getValueNames` in interface `HttpSession`
  See Also:
    `HttpSession.getValueNames()`

### putValue

    public void putValue(String name,
                         Object value)

  Deprecated.

  Specified by:
    `putValue` in interface `HttpSession`
  See Also:
    `HttpSession.putValue(java.lang.String, java.lang.Object)`

### removeValue

    public void removeValue(String name)

  Deprecated.

  Specified by:
    `removeValue` in interface `HttpSession`
  See Also:
    `HttpSession.removeValue(java.lang.String)`

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `HttpSession`

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `HttpSession`

### removeAttribute

    public void removeAttribute(String name)

  Specified by:
    `removeAttribute` in interface `HttpSession`

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Specified by:
    `setAttribute` in interface `HttpSession`

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int arg0)

  Specified by:
    `setMaxInactiveInterval` in interface `HttpSession`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project